Bug 1575348 - Geany duplicates lines while zooming
Summary: Geany duplicates lines while zooming
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: geany
Version: 27
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Josef Bacik
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-06 07:57 UTC by Bohdan Milar
Modified: 2018-11-30 21:29 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 21:29:33 UTC
Type: Bug


Attachments (Terms of Use)
Screenshot with 1 line (the last zoom factor before duplication). (178.35 KB, image/png)
2018-05-06 07:57 UTC, Bohdan Milar
no flags Details
Screenshot with 2 lines (the zoom factor causing duplication). (186.46 KB, image/png)
2018-05-06 07:59 UTC, Bohdan Milar
no flags Details

Description Bohdan Milar 2018-05-06 07:57:37 UTC
Created attachment 1432273 [details]
Screenshot with 1 line (the last zoom factor before duplication).

Description of problem:
I was editing my text on a notebook with a freshly installed Fedora 27. I realized, in one paragraph there is the same line twice. I thought I accidently copied a part of text but when I moved cursor to the line it enlarges over both lines I could only edit both at once. I tried to zoom in (Ctrl-+) to see it better and suddenly the duplication disappeared. My conclusion is, it is a SW problem while rendering the text.

Version-Release number of selected component (if applicable):
geany-1.33-1.fc27.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Set screen resolution to have the width of 1920.
2. Start Geany.
3. Write the following text as 1 paragraph (Enter only at the end):
Pin PB7 na čipu PIA slouží k přepínání výstupu mezi SIO a Centronics. Je-li na tomto pinu logická 0, posílají se tiskové příkazy přes Centronics. Je-li tam logická 1, tisk je směrován klasicky přes SIO.
4. Activate Document -> Line Wrapping
5. Deactivate View -> Show Sidebar
6. Press Ctrl-+ repeatedly till the text fills exactly 2 screen lines.
7. Press Ctrl-+ once again.

Actual results:
The second line is shown twice (the same content in line 3).

Expected results:
The second line is shown only once.

Additional info:
- Tested on x86_64 only.
- I use geany-1.33-1.
- It seems the problem only appears with the default "Monospace Regular" font. If I change the font, the problem disappears.
- I attach 2 screenshots.

Comment 1 Bohdan Milar 2018-05-06 07:59:29 UTC
Created attachment 1432274 [details]
Screenshot with 2 lines (the zoom factor causing duplication).

Comment 2 Ben Cotton 2018-11-27 15:48:21 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Ben Cotton 2018-11-30 21:29:33 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.